Subject: Re: [PATCH] Fix the LPC47M192 SuperIO on the MPC8641 HPCN

From: Segher Boessenkool <[email-masked]>
Date: Thu, 7 Jun 2007 18:35:10 +0200

>> Hardcoded I/O port numbers always worry me a little. I know that this 
>> is
>> supposed to work in general, but can't you read the I/O port range 
>> from
>> a device tree property?
>
> I suppose I could create a device node for the Super I/O config
> registers and use those instead of hardcoding it here.

I'd just hide it all, do this setup in the firmware,
where it belongs, and don't expose the superio config
in the device tree.

> superio_cfg@4e {
> 	reg = <1 4e 2>;
> 	compatible = "smsc-lpc47m192-cfg";
> };
>
> I'm not sure if the name and compatible properties are appropriate
> though.  Any recommendations?

"superio" and "smsc,lpc47m192" I'd say.  You also
then should link the logical devices on the superio
to the device nodes that represent those.  I'm not
sure this is all worth it, this is low-level setup
the firmware should do and everything else can treat
it as a black box.

Segher